/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#include "filter.h"

NoCurrentDirProxyModel::NoCurrentDirProxyModel(QObject* parent)
	: QSortFilterProxyModel(parent)
{
}

bool NoCurrentDirProxyModel::filterAcceptsRow(int source_row,const QModelIndex& source_parent) const{
	QModelIndex index = sourceModel()->index(source_row, 0, source_parent);
	return sourceModel()->data(index).toString() != ".";
}

