/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#include "settings.h"

const char* fn_buttons_labels[NR_FN_BUTTONS];

void init_fn_buttons_labels(){
	fn_buttons_labels[FN_HELP_BUTTON_IDX] = "Help";
	fn_buttons_labels[FN_ACTIONS_BUTTON_IDX] = "Actions";
	fn_buttons_labels[FN_PROPERTIES_BUTTON_IDX] = "Properties";
	fn_buttons_labels[FN_EDIT_BUTTON_IDX] = "Edit";
	fn_buttons_labels[FN_COPY_BUTTON_IDX] = "Copy";
	fn_buttons_labels[FN_MOVE_BUTTON_IDX] = "Move";
	fn_buttons_labels[FN_MKDIR_BUTTON_IDX] = "Mkdir";
	fn_buttons_labels[FN_DELETE_BUTTON_IDX] = "Delete";
	fn_buttons_labels[FN_RENAME_BUTTON_IDX] = "Rename";
	fn_buttons_labels[FN_QUIT_BUTTON_IDX] = "Quit";
}
