/*
 * This file is part of Cute File Manager.
 *
 * Cute File Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 *
 * Cute File Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Cute File Manager.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2008 Catalin Iacob
 */

#ifndef SETTINGS_H
#define SETTINGS_H

const int FN_HELP_BUTTON_IDX       = 0;
const int FN_ACTIONS_BUTTON_IDX    = 1;
const int FN_PROPERTIES_BUTTON_IDX = 2;
const int FN_EDIT_BUTTON_IDX       = 3;
const int FN_COPY_BUTTON_IDX       = 4;
const int FN_MOVE_BUTTON_IDX       = 5;
const int FN_MKDIR_BUTTON_IDX      = 6;
const int FN_DELETE_BUTTON_IDX     = 7;
const int FN_RENAME_BUTTON_IDX     = 8;
const int FN_QUIT_BUTTON_IDX       = 9;
const int NR_FN_BUTTONS            = FN_QUIT_BUTTON_IDX + 1;

const int FN_FILE_OPERATIONS_MIN = FN_PROPERTIES_BUTTON_IDX;
const int FN_FILE_OPERATIONS_MAX = FN_RENAME_BUTTON_IDX + 1;

extern const char* fn_buttons_labels[NR_FN_BUTTONS];

void init_fn_buttons_labels();

#endif
